net.corda.contracts

## Class Clauses.Group

- Clause
- - GroupClauseVerifier
  - - net.corda.contracts.CommercialPaper.Clauses.Group

- Enclosing interface:
    CommercialPaper.Clauses

      public static class Clauses.Group
      extends GroupClauseVerifier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.contracts.clauses.Clause

      `Clause.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.contracts.clauses.Clause

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.contracts.TransactionForContract.InOutGroup>` | `groupStates(TransactionForContract tx)`

    - ### Methods inherited from class net.corda.core.contracts.clauses.GroupClauseVerifier

      `getClause, getExecutionPath, groupStates, verify`

    - ### Methods inherited from class net.corda.core.contracts.clauses.Clause

      `getExecutionPath, getRequiredCommands, verify`

- - ### Constructor Detail

    - #### Group

          public Group()

  - ### Method Detail

    - #### groupStates

          public java.util.List<net.corda.core.contracts.TransactionForContract.InOutGroup> groupStates(TransactionForContract tx)